#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QWidget>
#include <QList>
#include <QSystemTrayIcon>  //托盘类
#include <QDesktopServices> //桌面事件类
#include<QSettings>

#include "calinterface.h"
namespace Ui {
class MainWindow;
}

class PlugInfo
{
public:
    QString workPath;
    QString name ;
    QString icon ;
    QString version ;
    QString plugName ;
};

class MainWindow : public QWidget
{
    Q_OBJECT
    enum TrayState {
        MinWin = 0,
        MaxWin,
        RestoreWin
    };
public:
    explicit MainWindow(QWidget *parent = nullptr);
    ~MainWindow();
public:
    static QString settingFileName;     // 配置文件名

private slots:
    void iconActivated(QSystemTrayIcon::ActivationReason ireason); //托盘图标点击回调函数
    void trayMenuRestoreAction();
    void trayMenuCloseAction();

private:
    void closeEvent(QCloseEvent *event);
    void hideEvent(QHideEvent *event);
    void saveWinStatus();
    void restoreWinStatus();
    void addPlugin(PlugInfo info);
    void showHaveInfo();
    void releasePlugin();

private:
    Ui::MainWindow *ui;
    QList<QWidget *>manageWidget;
    QList<CalInterface *> m_pInterface;
    QMenu *trayMenu;//托盘菜单
    QSystemTrayIcon *tray;//托盘图标添加成员
    QSettings * setting;
};

#endif // MAINWINDOW_H


