#include "clockplugin.h"
#include <QDir>
ClockPlugin::ClockPlugin(QObject *parent) : QObject(parent)
{

}
//创建一个新窗口
QWidget* ClockPlugin::getWidget(QString workPath)
{
    clockwidget *newWindow = new clockwidget;
    newWindow->setWorkPath(workPath);
    return newWindow;
}

ClockPlugin::~ClockPlugin()
{

}
//加载所有保存的窗口
QList<QWidget*> ClockPlugin::loadAll(QString workPath)
{
    QList<QWidget*> listClock;
    QDir dirName{workPath};
    if(dirName.exists("cache")){
        dirName.cd("./cache");
        dirName.setFilter(QDir::NoDotAndDotDot|QDir::AllEntries);//去掉.和..的inode
        QStringList fileNames = dirName.entryList();//获取dir目录下的所有条目
        for(auto file:fileNames){
            if(file.endsWith(".ini")){
                QSettings *loadFile = new QSettings(workPath+"/cache/"+file,QSettings::IniFormat);
                clockwidget *weatherWindow = new clockwidget(loadFile,workPath);
                listClock.push_back(weatherWindow);
                dirName.remove(file);
            }
        }
        return listClock;
    }
    return QList<QWidget*>();
}


