#ifndef CLOCKWIDGET_H
#define CLOCKWIDGET_H

#include <QWidget>
class QSettings;
class clockwidget : public QWidget
{
    Q_OBJECT
public:
    explicit clockwidget(QWidget *parent = nullptr);
    ~clockwidget();
    clockwidget(QSettings *m, QString workPath);
    void setWorkPath(QString workPath);
private:
    void mousePressEvent(QMouseEvent *e)override;
    void mouseMoveEvent(QMouseEvent *e)override;
    void mouseReleaseEvent(QMouseEvent *e)override;
    QString getRand();
protected:
    void paintEvent(QPaintEvent *event)override;
    void createMenu();
    void setSizeWindow();
protected:
    QPoint clickPos;
    bool moveIf;
    bool isSave = true;
    QString workPath;
    QSettings *loadFile;
    QWidget *sizeWindow = NULL;
};

#endif // CLOCKWIDGET_H
