#include "memoplugin.h"
#include <QDir>
#include<QSettings>
MemoPlugin::MemoPlugin(QObject *parent) : QObject(parent)
{

}

QWidget *MemoPlugin::getWidget(QString workPath)
{
    MemoWidget *newWindow = new MemoWidget;
    newWindow->setWorkPath(workPath);
    return newWindow;
}

QList<QWidget*> MemoPlugin::loadAll(QString workPath)
{
    QList<QWidget*> listMemo;
    QDir dirName{workPath};
    if(dirName.exists("cache")){
        dirName.cd("./cache");
        dirName.setFilter(QDir::NoDotAndDotDot|QDir::AllEntries);//去掉.和..的inode
        QStringList fileNames = dirName.entryList();//获取dir目录下的所有条目
        for(auto file:fileNames){
            if(file.endsWith(".ini")){
                QSettings *loadFile = new QSettings(workPath+"/cache/"+file,QSettings::IniFormat);
                MemoWidget *memoWindow = new MemoWidget(loadFile,workPath);
                listMemo.push_back(memoWindow);
                dirName.remove(file);
            }
        }
        return listMemo;
    }
    return QList<QWidget*>();
}


