#include "memowidget.h"
#include "ui_memowidget.h"
#include<QMouseEvent>
#include<QTextDocumentWriter>
#include<QTime>
#include<QDir>
#include<QMessageBox>
#include<QString>
MemoWidget::MemoWidget(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::MemoWidget)
{
    ui->setupUi(this);
    move(400,400);
}
MemoWidget::MemoWidget(QSettings *m,QString workPath):
    ui(new Ui::MemoWidget)
{
    ui->setupUi(this);
    this->workPath = workPath;
    setWindowFlag(Qt::FramelessWindowHint);
//    setAttribute(Qt::WA_TranslucentBackground);
    int x = m->value("x").toInt();
    int y = m->value("y").toInt();
    QString text = m->value("text").toString();
    this->move(x,y);
    this->ui->textEdit->setText(text);
}

QString MemoWidget::getRand()
{
    int max = 8;
    QString tmp = QString("0123456789ABCDEFGHIJKLMNOPQRSTUVWXZY");
    QString str = QString();
    QTime t = QTime::currentTime();
    qsrand(t.msec()+t.second()*1000);
    for(int i = 0;i<max;i++){
        int ir = qrand()%tmp.length();
        str[i] = tmp.at(ir);
    }
    return str;
}

MemoWidget::~MemoWidget()
{
    if(isSave){
        QDir filePath{this->workPath};
        if(!filePath.exists("cache")){
            filePath.mkdir("cache");
        }
        filePath.cd("./cache");
        QString path =this->workPath+"/cache/"+getRand()+".ini";

        QSettings m(path,QSettings::IniFormat);
        m.setValue("x",this->x());
        m.setValue("y",this->y());
        m.setValue("text",ui->textEdit->toPlainText());
        }
    delete ui;
}

void MemoWidget::mousePressEvent(QMouseEvent *e)
{
    if(e->button()==Qt::LeftButton){
        moveIf = true;
        clickPos = e->pos();
    }
    return QWidget::mousePressEvent(e);
}

void MemoWidget::mouseMoveEvent(QMouseEvent *e)
{
    if(moveIf)move(e->globalPos()-clickPos);
    return QWidget::mouseMoveEvent(e);
}

void MemoWidget::mouseReleaseEvent(QMouseEvent *e)
{
    moveIf =false;
    return QWidget::mouseReleaseEvent(e);
}

void MemoWidget::setWorkPath(QString workPath)
{
    this->workPath = workPath;
}

void MemoWidget::on_ButtonB_clicked()
{
    fmt =ui->textEdit->currentCharFormat();
    if(fmt.fontWeight()==QFont::Bold){
        fmt.setFontWeight(QFont::Normal);
    }else {
        fmt.setFontWeight(QFont::Bold);
    }
    ui->textEdit->mergeCurrentCharFormat(fmt);
}

void MemoWidget::on_ButtonI_clicked()
{
    fmt=ui->textEdit->currentCharFormat();
    if(fmt.fontItalic()){
        fmt.setFontItalic(false);
    }else {
        fmt.setFontItalic(true);
    }
    ui->textEdit->mergeCurrentCharFormat(fmt);
}

void MemoWidget::on_ButtonU_clicked()
{
    fmt=ui->textEdit->currentCharFormat();
    if(fmt.fontUnderline()){
        fmt.setFontUnderline(false);
    }else {
        fmt.setFontUnderline(true);
    }
    ui->textEdit->mergeCurrentCharFormat(fmt);
}

void MemoWidget::on_ButtonClose_clicked()
{
    isSave = false;
    this->close();
}


