#ifndef MEMOWIDGET_H
#define MEMOWIDGET_H

#include <QWidget>
#include <QTextCharFormat>
#include<QSettings>
namespace Ui {
class MemoWidget;
}

class MemoWidget : public QWidget
{
    Q_OBJECT

public:
    explicit MemoWidget(QWidget *parent = nullptr);
    MemoWidget(QSettings *m , QString workPath);
    ~MemoWidget();
    void mousePressEvent(QMouseEvent *e)override;
    void mouseMoveEvent(QMouseEvent *e)override;
    void mouseReleaseEvent(QMouseEvent *e)override;
    void setWorkPath(QString workPath);
private slots:
    void on_ButtonB_clicked();
    void on_ButtonI_clicked();
    void on_ButtonU_clicked();
    void on_ButtonClose_clicked();

private:
    QString getRand();
    Ui::MemoWidget *ui;
    QPoint clickPos;
    QTextCharFormat fmt;
    bool moveIf;
    bool isSave = true;
    QString workPath;
};

#endif // MEMOWIDGET_H
