#ifndef WEATHERDATALOADER_H
#define WEATHERDATALOADER_H

#include <QObject>
#include <QString>
#include <QtNetwork/QNetworkAccessManager>
#include <QtNetwork/QNetworkReply>
#include <QJsonObject>
class WeatherData {
public:
    WeatherData() {
        date = "Default";
        type = "Default";
        degree = "Default";
        windy = "Default";
        icon = "Default";
    }
    QString toString() {
        return type + degree + windy;
    }
public:
    QString date;               // 日期
    QString type;               // 类型
    QString degree;             // 温度,最低温度-最高温度
    QString windy;              // 风-风力，风向
    QString icon;               // 天气图标
};
class City {
public:
    QString name;
    double lat = 0;
    double lon = 0;
};

Q_DECLARE_METATYPE(WeatherData);

class WeatherDataLoader : public QObject
{
    Q_OBJECT
public:
    explicit WeatherDataLoader();
    QString cityName;
    void queryCityWeather(QString city);
    QString getCityName();
private:
    void onGetCityName(QJsonObject data);
    void onGetWeatherData(QJsonObject data);
    void requestCityName();
    void requestWeatherData();
public slots:
    void onResponsed(QNetworkReply* reply);
    void onFailed(QNetworkReply::NetworkError error);
signals:
    void succeed(QVariant data);
    void failed(int type);
private:
    QNetworkAccessManager *manager;  //请求句柄
    bool city_init = false;
    City city;
};

#endif // WEATHERDATALOADER_H
