#ifndef WEATHERWIDGET_H
#define WEATHERWIDGET_H

#include <QWidget>
#include<QSettings>
#include<QMessageBox>
#include "weatherdataloader.h"
class WeatherWidget : public QWidget
{
    Q_OBJECT
public:
    explicit WeatherWidget(QWidget *parent = nullptr, QString workpath = "");
    WeatherWidget(QSettings *m,QString workPath);
    void failed();
    void setWorkPath(QString workPath);
    ~WeatherWidget();
public slots:
    void onAddInformation(QVariant var_data);
private:
    void mousePressEvent(QMouseEvent *e)override;
    void mouseMoveEvent(QMouseEvent *e)override;
    void mouseReleaseEvent(QMouseEvent *e)override;
    void mouseMenu();
    QString getRand();
private:
    QVariant *getData;
    QList<WeatherData>wdList;
    WeatherDataLoader wdl;
    QString currentCityName="";
    QPoint clickPos;
    bool moveIf;
    bool isSave = true;
    QString workPath;
    int w = QMessageBox::Close ;
};

#endif // WEATHERWIDGET_H
